package com.sy.coinage.app.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

@Data
@ApiModel(value = "app主库确认返检登记（返检出库）请求bean")
public class WareConfirmReq {

    @ApiModelProperty(value = "返检单号")
    @NotBlank(message = "返检单号不能为空")
    private String orderNo;

//    @ApiModelProperty(value = "实际录入数量")
//    @NotNull(message = "实际录入数量不能为空")
//    private Integer realNum;


    @ApiModelProperty(value = "复核人ID")
    @NotNull(message = "复核人不能为空")
    private Integer checkId;

    @ApiModelProperty(value = "确认出库的编号数集合")
    @NotEmpty(message = "确认出库的编号数不能为空")
    private List<String> serialNumberArray;

}
