package com.sy.coinage.sys.req.vo;

import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.NotBlank;
import lombok.Data;

@Data
public class DictBatchAddVO {

    @ApiModelProperty(value = "排序")
    private Integer sorted;

    @ApiModelProperty(value = "字典项名称")
    @NotBlank(message = "字典项名称不能为空")
    private String name;

    @ApiModelProperty(value = "字典项标识")
    @NotBlank(message = "字典项标识不能为空")
    private String tag;

}
