package com.sy.coinage.sys.vo;

import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import lombok.Data;

/**
 * 角色菜单列表响应bean
 */
@Data
public class RoleMenuListVO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 自增主键
     */
    @ApiModelProperty(value = "自增主键")
    private Integer id;

    /**
     * 角色id
     */
    @ApiModelProperty(value = "角色id")
    private Integer roleId;

    /**
     * 菜单id
     */
    @ApiModelProperty(value = "菜单id")
    private Integer menuId;

    /**
     * 操作权限(add,updat,delete,list,get,imp,exp)
     */
    @ApiModelProperty(value = "按钮操作权限")
    private String auths;

}
