package com.sy.coinage.app.req;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
public class CreateCheckOrderNoReq {

    @ApiModelProperty(value = "品名id", required = true)
    @NotNull(message = "品名id不能为空")
    private Integer securitiesId;

    @ApiModelProperty(value = "部门id", required = true)
    @NotNull(message = "部门id不能为空")
    private Integer deptId;

}
