package com.sy.coinage.core.req;

import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.NotNull;

import org.hibernate.validator.constraints.Range;
import lombok.Data;

/**
 * -整形id请求bean
 */
@Data
public class IdReq {

    @ApiModelProperty(value = "主键id", required = true)
    @NotNull(message = "主键id不能为空")
    @Range(min = 1)
    private Integer id;

}
