package com.sy.coinage.core.req;

import javax.validation.constraints.NotBlank;

import lombok.Data;

/**
 * -默认登录请求bean
 */
@Data
public class LoginReq {

    @NotBlank(message = "用户名不能为空")
    private String username;

    @NotBlank(message = "密码不能为空")
    private String password;
    /**
     * -图形验证码
     */
    private String captcha;
    /**
     * -验证密钥
     */
    private String checkKey;

}
