package com.sy.coinage.sys.dao;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

import com.sy.coinage.core.vo.OptVO;
import com.sy.coinage.sys.model.*;
import com.sy.coinage.sys.vo.UserListVO;

import java.util.List;

import org.apache.ibatis.annotations.Param;

/**
 * -用户Dao
 */
public interface UserDao extends BaseMapper<User> {

    List<OptVO> selectByRoleId(Integer id);

    IPage<UserListVO> queryPageList(Page<UserListVO> page, @Param(Constants.WRAPPER) QueryWrapper<User> queryWrapper);

}
