package com.sy.coinage.sys.req;

import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import javax.validation.constraints.NotNull;
import lombok.Data;

/**
 * 用户添加请求bean
 */
@Data
public class AdminUserReq extends UserReq implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "租户id")
    @NotNull(message = "租户id不能为空")
    private Integer tenantId;

}
