package com.sy.coinage.sys.req;

import com.sy.coinage.sys.req.vo.DictBatchAddVO;
import io.swagger.annotations.ApiModelProperty;
import java.util.List;
import javax.validation.Valid;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import lombok.Data;

@Data
public class DictBatchAddReq {

    @ApiModelProperty(value = "id")
    @NotNull(message = "id不能为空")
    @Min(value = 1, message = "id值错误")
    private Integer id;

    @ApiModelProperty(value = "字典集合")
    @NotEmpty(message = "字典集合不能为空")
    private List<@Valid DictBatchAddVO> list;

}
