package com.sy.coinage.workshop.dao;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;

import com.sy.coinage.workshop.model.*;
// import com.sy.coinage.workshop.vo.BaseInfoVO;

/**
 * -rfid基础信息登记表Mapper
 */
public interface BaseInfoDao extends BaseMapper<BaseInfo> {

    IPage<BaseInfo> queryPageList(Page<BaseInfo> page,
        @Param(Constants.WRAPPER) LambdaQueryWrapper<BaseInfo> queryWrapper);

    IPage<BaseInfo> queryOne(Page<BaseInfo> page,
        @Param(Constants.WRAPPER) QueryWrapper<BaseInfo> queryWrapper);

    // IPage<BaseInfoVO> queryPageVOList(IPage<BaseInfoVO> page, @Param(Constants.WRAPPER)
    // QueryWrapper<BaseInfoVO> queryWrapper);

}
