package com.sy.coinage.workshop.req;

import com.sy.coinage.workshop.req.vo.BaseInfoVO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.Valid;
import javax.validation.constraints.NotEmpty;
import java.util.List;

@Data
public class RfidListReq {

    @ApiModelProperty(value = "编号明细集合")
    @NotEmpty(message = "编号明细集合不能为空")
    private List<@Valid BaseInfoVO> detailList;

}
